package cn.estsh.i3plus.pojo.wms.modelbean;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description : 零件自动采购单信息
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2020-05-18
 * @Modify:
 **/
@Data
@Api("收货追踪地图信息")
public class WmsAutoPurchasePartModel {
    @ApiParam("合同号")
    private String orderNo;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("物料名称")
    private String partName;

    @ApiParam("物料数量")
    private Integer qty;

    @ApiParam("Erp库存地")
    private String erpWarehouse;

    public WmsAutoPurchasePartModel(String partNo, String partName, Integer qty, String warehouse) {
        this.partNo = partNo;
        this.partName = partName;
        this.qty = qty;
        this.erpWarehouse = warehouse;
    }

    public WmsAutoPurchasePartModel() {

    }
}
